/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if problems occur while accessing the ProLiC configuration file 
 * @author Michael Kohl
 * 
 */
public class ReadIniSectionException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = 4762538525612265821L;

	/**
	 * Empty Constructor
	 */
	public ReadIniSectionException() {
		
	}

	/**
	 * @param message
	 */
	public ReadIniSectionException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public ReadIniSectionException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public ReadIniSectionException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public ReadIniSectionException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
